<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateArticlesTransTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create(
            'article_trans',
            function (Blueprint $table) {
                $table->increments('id');
                $table->unsignedInteger('article_id');
                $table->unsignedInteger('lang_id');
                $table->string('title')->nullable();
                $table->text('description')->nullable();
                $table->string('short_desc')->nullable();
                $table->string('slug')->nullable()->index();
                $table->string('meta_title')->nullable();
                $table->string('meta_description')->nullable();
                $table->string('meta_keywords')->nullable();
                $table->boolean('active');

                $table->index(['article_id', 'lang_id']);

                $table->foreign('article_id')->references('id')->on('articles')
                    ->onUpdate('cascade')->onDelete('cascade');

                $table->foreign('lang_id')->references('id')->on('languages')
                    ->onUpdate('cascade')->onDelete('cascade');
            }
        );
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('article_trans');
    }
}
