<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateFormShowsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create(
            'form_shows',
            function (Blueprint $table) {
                $table->increments('id');
                $table->unsignedInteger('form_id')->index();
                $table->unsignedInteger('item_id');
                $table->string('type');
                $table->timestamps();

                $table->index(['item_id', 'type']);

                $table->foreign('form_id')->references('id')->on('forms')
                    ->onUpdate('cascade')->onDelete('cascade');
            }
        );
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('form_shows');
    }
}
