<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateMenuTransTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create(
            'menu_trans',
            function (Blueprint $table) {
                $table->increments('id');
                $table->unsignedInteger('menu_id');
                $table->unsignedInteger('lang_id');
                $table->string('title')->nullable();
                $table->string('additional_title')->nullable();
                $table->string('link')->nullable();
                $table->string('description')->nullable();
                $table->boolean('active')->nullable();

                $table->index(['menu_id', 'lang_id']);

                $table->foreign('menu_id')->references('id')->on('menus')
                    ->onUpdate('cascade')->onDelete('cascade');

                $table->foreign('lang_id')->references('id')->on('languages')
                    ->onUpdate('cascade')->onDelete('cascade');
            }
        );
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('menu_trans');
    }
}
