<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateMenuShowsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create(
            'menu_shows',
            function (Blueprint $table) {
                $table->increments('id');
                $table->integer('menu_id')->unsigned();
                $table->integer('show_on');
                $table->string('show_type');
                $table->timestamps();

                $table->index(['menu_id', 'show_on', 'show_type']);
                $table->foreign('menu_id')->references('id')->on('menus')
                    ->onUpdate('cascade')->onDelete('cascade');
            }
        );
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('menu_shows');
    }
}
