<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreatePageTransTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create(
            'page_trans',
            function (Blueprint $table) {
                $table->increments('id');
                $table->integer('page_id')->unsigned();
                $table->string('title')->nullable();
                $table->text('description')->nullable();
                $table->text('description_footer')->nullable();
                $table->string('slug')->nullable();
                $table->string('meta_title')->nullable();
                $table->string('meta_description')->nullable();
                $table->string('meta_keywords')->nullable();
                $table->boolean('active')->nullable();
                $table->unsignedInteger('lang_id');

                $table->index(['page_id', 'lang_id']);

                $table->foreign('page_id')->references('id')->on('pages')
                    ->onUpdate('cascade')->onDelete('cascade');

                $table->foreign('lang_id')->references('id')->on('languages')
                    ->onUpdate('cascade')->onDelete('cascade');
            }
        );
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('page_trans');
    }
}
